ATIEVENTSD(8)

NAME
atieventsd - ATI external events daemon

SYNOPSIS

atieventsd [-a SOCKET] [-d] [-h] [-l FILE] [-m FILE] [--nodaemon] [--nosyslog] [-s SOCKET] [-x SCRIPT]

DESCRIPTION

The ATI External Events Daemon atieventsd is a user-level application that monitors various system events such as ACPI or hotplug, then notifies the driver via the X extensions interface that the event has occured.

By default, atieventsd prints out logging information to the syslogd(8) daemon facility unless --nosyslog is specified. The daemon is shut down by sending a SIGTERM to the daemon process, for example, by killall atieventsd. The various options are used to control daemon behaviour and are explained below.

OPTIONS

-a SOCKET, --acpidsocket=SOCKET
    Connect to acpid(8) socket located at SOCKET instead of at the default location /var/run/acpid.socket.

-d, --debug
    Output additional debugging information to the log.

-h, --help
    Show a brief help message and exit.

-l FILE, --logfile=FILE
    Output logging information to FILE. This output is independent of syslog output thus logging to both syslogd(8) and this file is possible.

--nodaemon
    Run atieventsd in the foreground instead of running as a daemon.

--nosyslog
    Do not output log messages to syslogd(8). Normally used in conjunction with --logfile above to redirect the daemon logging information.

-s SOCKET, --socket=SOCKET
    Create atieventsd socket at SOCKET instead of at /var/run/atieventsd.socket. This socket is used by aticonfig(1) to send specific events to atieventsd.

-x SCRIPT, --xauthscript=SCRIPT
    Use X authorization script at SCRIPT instead of at /etc/ati/authatieventsd.sh. This script is used by atieventsd to be granted authorization access to the X server display. See the section below on the X authorization script for further details.

DAEMON POLICIES

The daemon policies can be adjusted by aticonfig(1) with the use of the --set-policy=STRING option to that command tool, where STRING can be one of the following values.

handle_lid
    Enable monitoring of laptop lid open/close events.

ignore_lid
    Do not monitor of laptop lid open/close events.

X AUTHORIZATION SCRIPT

The X authorization script provides a distro-neutral way for the daemon to gain access to the necessary X server display in order to send it commands. The script is located at /etc/ati/authatieventsd.sh unless overridden by the use of the --xauthscript keyword above. The script takes three parameters:

The first parameter is either the keyword "grant" to grant access or "revoke" to revoke access.

The second parameter is the display number that the daemon is trying to get authorization for, e.g., ":0".

The third parameter is the name of the X authorization file that the daemon is using, as obtained from XauFileName(3x). This file is where the authorization needs to be given. Note that this parameter only makes sense if xauth(1) is being used. If another mechanism such as xhost(1) is being used it can be ignored. If no form of authorization is being done, the script can simply return 0 and the daemon will assume that it is always authorized.

The return code from the script should be zero if authorization was successfully granted or revoked, and nonzero if an error occurred.

AUTHOR

ATI Technologies Inc.

REPORTING BUGS

Please go to http://support.ati.com to report any bugs.

COPYRIGHT

Copyright (c) 2006 ATI Technologies Inc. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO

aticonfig(1), acpid(8), syslogd(8), xauth(1), xhost(1)